## AwnIconBox AwnIconBox |

## Functions

GtkWidget * | awn_icon_box_new ()
GtkWidget * | awn_icon_box_new_for_applet ()
void | awn_icon_box_set_pos_type ()
void | awn_icon_box_set_offset ()

## Properties

AwnApplet * | applet | Write / Construct Only

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── AwnBox
                                ╰── AwnIconBox

## Description

## Functions

### awn_icon_box_new ()

    GtkWidget *
    awn_icon_box_new (void);

### awn_icon_box_new_for_applet ()

    GtkWidget *
    awn_icon_box_new_for_applet (AwnApplet *applet);

### awn_icon_box_set_pos_type ()

    void
    awn_icon_box_set_pos_type (AwnIconBox *icon_box,
                               GtkPositionType position);

### awn_icon_box_set_offset ()

    void
    awn_icon_box_set_offset (AwnIconBox *icon_box,
                             gint offset);

## Types and Values

## Property Details

### The `“applet”` property

      “applet”                   AwnApplet *

AwnApplet from which offset and position properties are read.

Flags: Write / Construct Only